MarketPe APIs

Digilocker Aadhaar

You call this api to get a digilocker verification url. Share this url with your vendor. Once they verify the mentioned callbackUrl is called with the verification result.

POST
/api/digilocker/aadhaar

Request Body

{
  "callbackUrl": "https://your-app.example.com/digilocker/callback",
  "internalId": "your-internal-reference-id"
}

Response Body

{
  "fetchedOn": "2026-04-07T11:07:25.379Z",
  "data": {
    "url": "https://digilocker.meripehchaan.gov.in/public/oauth2/1/authorize?client_id=abcd&req_doctype=ADHAR&response_type=code&state=69d4e56d85cc5fd0d9b584a5",
    "requestId": "69d4e56d85cc5fd0d9b584a5"
  }
}

Callback

Payload posted to your callbackUrl.

{
  "event": "consentComplete",
  "requestId": "69d4e56d85cc5fd0d9b584a5",
  "message": "Authorization completed successfully",
  "status": "success",
  "timestamp": 1775560159342,
  "internalId": "your-internal-reference-id",
  "aadharDetail": {
    "name": "",
    "uid": "",
    "dob": "",
    "gender": "",
    "address": "",
    "photo": "",
    "aadhaarJpeg": "",
    ...
  }
}

If you get any status other than success, something went wrong like user cancelled or did not complete the verification.

Last updated on

On this page